> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Import Operation Status

> Get the status of the current import operation.Permission required: `run-import`
### Changelog
| Version      | Description |
| ---------------- | ------------|
|6.3.0            | Added       |

## OpenAPI

````json GET /api/v1/import.status
{
  "openapi": "3.0.0",
  "info": {
    "version": "1.0.0",
    "title": "Settings"
  },
  "servers": [
    {
      "url": "https://apiexplorer.support.rocket.chat"
    }
  ],
  "paths": {
    "/api/v1/import.status": {
      "parameters": [],
      "get": {
        "summary": "Get Import Operation Status",
        "operationId": "get-api-v1-import.status",
        "responses": {
          "200": {
            "description": "The following operation statuses are possible for the operation:\n  * `none`: No import operation was ever created.\n  * `new`: An operation was created but no data was added to it.\n  * `loading`: A traditional importer is currently loading data from a file to the import operation.\n  * `ready`: An operation was created and has data ready to import.\n  * `importing`: The import operation is running and the users are being created.\n  * `error`: An error caused the operation to stop running.\n  * `canceled`: The operation was interrupted by an administrator.\n  * `done`: The operation was completed successfully.\n\n  Note the following points:\n    1. The operation is considered successful if it processes every user in the staging area, even if no user is imported.\n    2. You can check how many users have been imported or failed to import with the `operation.count.completed` and `operation.count.error` attributes.\n    3. The data from users that failed to import will remain in the staging area after the operation is complete.\n    4. While the operation is running, the values on `operation.count` are only updated once after every 50 users are processed.",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "state": {
                      "type": "string"
                    },
                    "operation": {
                      "type": "object",
                      "properties": {
                        "_id": {
                          "type": "string"
                        },
                        "type": {
                          "type": "string"
                        },
                        "importerKey": {
                          "type": "string"
                        },
                        "ts": {
                          "type": "string"
                        },
                        "status": {
                          "type": "string"
                        },
                        "valid": {
                          "type": "boolean"
                        },
                        "user": {
                          "type": "string"
                        },
                        "_updatedAt": {
                          "type": "string"
                        },
                        "count": {
                          "type": "object",
                          "properties": {
                            "total": {
                              "type": "integer"
                            },
                            "users": {
                              "type": "integer"
                            }
                          }
                        }
                      }
                    },
                    "success": {
                      "type": "boolean"
                    }
                  }
                },
                "examples": {
                  "Success Example": {
                    "value": {
                      "state": "ready",
                      "operation": {
                        "_id": "64d51ea91558939980aab371",
                        "type": "api",
                        "importerKey": "api",
                        "ts": "2023-08-10T17:30:17.519Z",
                        "status": "importer_user_selection",
                        "valid": "true",
                        "user": "7TY57bBj3xQXvf2i2",
                        "_updatedAt": "2023-08-10T17:41:20.052Z",
                        "count": {
                          "total": "2",
                          "users": "2"
                        }
                      },
                      "success": "true"
                    }
                  }
                }
              }
            }
          },
          "401": {
            "$ref": "#/components/responses/authorizationError"
          },
          "403": {
            "$ref": "#/components/responses/forbiddenError"
          }
        },
        "description": "Get the status of the current import operation.Permission required: `run-import`\n### Changelog\n| Version      | Description |\n| ---------------- | ------------|\n|6.3.0            | Added       |",
        "parameters": [
          {
            "$ref": "#/components/parameters/X-User-Id"
          },
          {
            "$ref": "#/components/parameters/X-Auth-Token"
          }
        ],
        "tags": [
          "Bulk User Import"
        ]
      }
    }
  },
  "components": {
    "responses": {
      "authorizationError": {
        "description": "Unauthorized",
        "content": {
          "application/json": {
            "schema": {
              "type": "object",
              "properties": {
                "status": {
                  "type": "string"
                },
                "message": {
                  "type": "string"
                }
              }
            },
            "examples": {
              "Authorization Error": {
                "value": {
                  "status": "error",
                  "message": "You must be logged in to do this."
                }
              }
            }
          }
        }
      },
      "forbiddenError": {
        "description": "Forbidden",
        "content": {
          "application/json": {
            "schema": {
              "type": "object",
              "properties": {
                "success": {
                  "type": "boolean"
                },
                "error": {
                  "type": "string"
                }
              }
            },
            "examples": {
              "Permission Error": {
                "value": {
                  "success": "false",
                  "error": "User does not have the permissions required for this action [error-unauthorized]"
                }
              }
            }
          }
        }
      }
    },
    "parameters": {
      "X-User-Id": {
        "name": "X-User-Id",
        "in": "header",
        "required": "true",
        "schema": {
          "type": "string"
        },
        "example": "CkCPNctrgCDfmWLqC",
        "description": "The user ID."
      },
      "X-Auth-Token": {
        "name": "X-Auth-Token",
        "in": "header",
        "required": "true",
        "schema": {
          "type": "string"
        },
        "example": "1Dd4iN_ClKn5jl-xPC36snQ4s9Zd5GZnXCQuCNSKcVE",
        "description": "The authentication token."
      }
    }
  }
}
````

